//----------------------------------------------------------------------
// arrays.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

function main() {
   // Creating an array
   let a = ['Ruth', 'Gehrig', 'Jeter'];
   console.log(a);  // [ 'Ruth', 'Gehrig', 'Jeter' ]
   console.log(a.length);  // 3
   console.log('-----------------------------------------------');

   // Accessing an element
   let player = a[1];  // 'Gehrig'
   console.log(a);  // [ 'Ruth', 'Gehrig', 'Jeter' ]
   console.log(a.length);  // 3
   console.log('-----------------------------------------------');

   // Changing an element
   a[1] = 'Mantle';
   console.log(a);  // [ 'Ruth', 'Mantle', 'Jeter' ]
   console.log(a.length);  // 3
   console.log('-----------------------------------------------');

   // Adding an element to the end
   a.push('Berra');
   console.log(a);  // [ 'Ruth', 'Mantle', 'Jeter', 'Berra' ]
   console.log(a.length);  // 4
   console.log('-----------------------------------------------');

   // Removing an element from the end
   let element = a.pop();  // 'Berra'
   console.log(a);  // [ 'Ruth', 'Mantle', 'Jeter' ]
   console.log(a.length);  // 3
   console.log('-----------------------------------------------');

   // Iterating over an array (version 1)
   for (let i = 0; i < a.length; i++)
      console.log(a[i]);
      // Ruth
      // Mantle
      // Jeter
   console.log('-----------------------------------------------');

   // Iterating over an array (version 2)
   for (let element of a)
      console.log(element);
      // Ruth
      // Mantle
      // Jeter
   console.log('-----------------------------------------------');
}

if (require.main === module)
   main();
