//----------------------------------------------------------------------
// assocarrays2.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

function main() {
   // Creating an associative array of 3 key-value bindings
   let aa = {Ruth: 'RF', Gehrig: '1B', Jeter: 'SS'};
   console.log(aa);
      // { Ruth: 'RF', Gehrig: '1B', Jeter: 'SS' }
   console.log('-----------------------------------------------');

   // Accessing a value for a given key
   let position = aa.Gehrig;     // '1B'
   console.log(aa);
      // { Ruth: 'RF', Gehrig: '1B', Jeter: 'SS' }
   console.log('-----------------------------------------------');

   // Changing a value for a given key
   aa.Ruth = 'P';
   console.log(aa);
      // { Ruth: 'P', Gehrig: '1B', Jeter: 'SS' }
   console.log('-----------------------------------------------');

   // Adding a binding
   aa.Maris = 'RF';
   console.log(aa);
      // { Ruth: 'P', Gehrig: '1B', Jeter: 'SS', Maris: 'RF' }
   console.log('-----------------------------------------------');

   // Deleting a binding
   delete aa.Maris;
   console.log(aa);
      // { Ruth: 'P', Gehrig: '1B', Jeter: 'SS' }
   console.log('-----------------------------------------------');

   // Iterating over bindings
   for (let key in aa)
      console.log(key + ': ' + aa[key]);
      // Ruth: P
      // Gehrig: 1B
      // Jeter: SS
}

if (require.main === module)
   main();
