//----------------------------------------------------------------------
// euclid.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

//----------------------------------------------------------------------

function gcd(i, j) {

   if ((i === 0) && (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   while (j !== 0) {
      let temp = i % j;
      i = j;
      j = temp;
   }
   return i;
}

//----------------------------------------------------------------------

function lcm(i, j) {

   if ((i === 0) || (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   return (i / gcd(i, j)) * j;
}

//----------------------------------------------------------------------

module.exports = { gcd, lcm };