//----------------------------------------------------------------------
// euclidclient1.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

const readlineSync = require('readline-sync');

//----------------------------------------------------------------------

function gcd(i, j) {
   if ((i === 0) && (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   while (j !== 0) {
      let temp = i % j;
      i = j;
      j = temp;
   }
   return i;
}

//----------------------------------------------------------------------

function lcm(i, j) {
   if ((i === 0) || (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   return (i / gcd(i, j)) * j;
}

//----------------------------------------------------------------------

function readInt(prompt) {
   let line = readlineSync.question(prompt);
   if (line === '')
      throw new Error('Missing integer');
   if (isNaN(line))
      throw new Error('Not a number');
   let n = Number(line);
   if (! Number.isInteger(n))
      throw new Error('Not an integer');
   return n;
}

//----------------------------------------------------------------------

function main() {
   try {
      let i = readInt('Enter the first integer:\n');
      let j = readInt('Enter the second integer:\n');

      let myGcd = gcd(i, j);
      process.stdout.write('gcd: ' + String(myGcd) + '\n');

      let myLcm = lcm(i, j);
      process.stdout.write('lcm: ' + String(myLcm) + '\n');
   }
   catch (e) {
      process.stderr.write(e + '\n');
   }
}

if (require.main === module)
   main();
